=== docs/Makefile ===
#!/usr/bin/make -f
#
# This makefile needs GNU make.
#
TOPDIR=..

DOCS=\
	CONTRIBUTING\
	MODULES\
	README\
	modules.txt\

include $(TOPDIR)/Makefile.rules
