=== modules/Makefile ===
#!/usr/bin/make -f
#
# This makefile needs GNU make.
#
TOPDIR=..

MODULES=\
	destroy.sh\
	final.sh\
	introspect.sh\
	prettyprint.sh\
	serialize.sh\
	thread.sh\
	use.sh\
	also_inherit.sh\
	www.sh\
	dns.sh\

include $(TOPDIR)/Makefile.rules
