=== debian/control ===
Source: shoop
Section: devel
Priority: extra
Maintainer: Gergely Nagy <shoop-devel@lists.sourceforge.net>
Build-Depends: debhelper (>= 2.0.40), perl
Standards-Version: 3.5.0

Package: shoop
Architecture: all
Recommends: shoop-modules (>= ${Source-Version})
Description: The SHell Object Oriented Programming library
 Every language under the sun these days is Object Oriented.
 In an effort to make POSIX shell more buzzword compliant, and
 to show that it's really not a big deal for a language to lack
 built-in OO support, we have added object orientation to plain
 old shell script. Specifically, we have implemented classless
 OO with introspection, finalization, serialization, and multiple
 inheritance.

Package: shoop-modules
Architecture: all
Depends: shoop (>= ${Source-Version})
Description: A collection of shoop modules
 This package includes various modules for shoop, such as
 introspect, prettyprint, serialize, and some others.
 .
 It is a good idea to have these at hand!

Package: shoop-dev
Architecture: all
Depends: shoop (>= ${Source-Version})
Description: Development files and documention for shoop
 Herein lies example code, utility programs, and documentation
 for shoop, the SHell Object Oriented Programming library.
